DAOImage

com.j0h1.contour.admin.server.dao

## Interface DAOImage

- All Known Implementing Classes:
    DAOImageImpl

      public interface DAOImage

  Defines database access methods concerning Image objects.
  Author:
    Johannes Riedmann

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `delete(int imageId)` Deletes an image from database if it's currently not in a track.
    `java.util.ArrayList<Image>` | `findAll()` Returns List of non-deleted images.
    `void` | `persist(java.lang.String titleEN, java.lang.String titleDE, java.lang.String originalContent, java.lang.String edgeContent)` Persists an image (original image + edge image) with translations to the database.

- - ### Method Detail

    - #### persist

          void persist(java.lang.String titleEN,
                       java.lang.String titleDE,
                       java.lang.String originalContent,
                       java.lang.String edgeContent)
                throws DAOImageException

      Persists an image (original image + edge image) with translations to the database.
      Parameters:
        `titleEN` - English title of the image.
        `titleDE` - German title of the image.
        `originalContent` - Base64 encoded content of the original image.
        `edgeContent` - Base64 encoded content of the edge image.
      Throws:
        `DAOImageException`

    - #### delete

          void delete(int imageId)
               throws DAOImageException

      Deletes an image from database if it's currently not in a track. Sets deleted flag of image to true if image is currently in a track.
      Parameters:
        `imageId` - ID of image to be deleted.
      Throws:
        `DAOImageException`

    - #### findAll

          java.util.ArrayList<Image> findAll()
                                      throws DAOImageException

      Returns List of non-deleted images.
      Returns:
        see description
      Throws:
        `DAOImageException`